CVE-2015-10053

Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection') in gem/curupira

Identifiers

GHSA-85gf-wr67-f83w, CVE-2015-10053

Package Slug

gem/curupira

Vulnerability

Improper Neutralization of Special Elements used in an SQL Command ('SQL Injection')

Description

A vulnerability classified as critical has been found in prodigasistemas curupira up to 0.1.3. Affected is an unknown function of the file app/controllers/curupira/passwords_controller.rb. The manipulation leads to sql injection. Upgrading to version 0.1.4 is able to address this issue. The name of the patch is 93a9a77896bb66c949acb8e64bceafc74bc8c271. It is recommended to upgrade the affected component. VDB-218394 is the identifier assigned to this vulnerability.

Affected Versions

All versions before 0.1.4

Solution

Upgrade to version 0.1.4 or above.

Last Modified

2023-01-19

source